{ system ? builtins.currentSystem, pkgs ? import <nixpkgs> { inherit system; } }:
let
  manifest = (pkgs.lib.importTOML ./src-tauri/Cargo.toml).package;
in
pkgs.lib.mkDerivation rec {
  pname = manifest.name;
  version = manifest.version;

  cargoLock = {
    lockFile = ./Cargo.lock;
    
    # Because these dependencies are Git sourced, they need a hash to verify.
    outputHashes = {
    };
  };
  
  cargoDeps = rustPlatform.fetchCargoTarball {
    inherit pname version src;
    sourceRoot = "${pname}-${version}/${cargoRoot}";
    hash = "sha256-PS562W4L1NimqDV2H0jl5vYhL08H9est/pbIxSdYVfo=";
  };

  buildInputs = with pkgs; [
  ];

  nativeBuildInputs = with pkgs; [ 
    pkg-config
  ];

  meta = with pkgs.lib; {
    homepage = "";
    description = "";
    license = licenses.gpl3;
  };
}