use diesel::prelude::{Insertable, Queryable};

use crate::schema::*;

#[derive(Insertable)]
#[table_name = "pages"]
pub struct NewPage {
    pub author: String,
    pub name: String,
    pub status: i32,
}

#[derive(Queryable)]
pub struct Page {
    pub id: i32,
    pub author: String,
    pub name: String,
}

#[derive(Insertable)]
#[table_name = "routing_record"]
pub struct NewRoutingRecord {
    pub page_id: i32,
    pub record_type: String,
    pub record_value: String,
}

#[derive(Queryable)]
pub struct RoutingRecord {
    pub id: i32,
    pub page_id: i32,
    pub record_type: String,
    pub record_value: String,
}

#[derive(Insertable)]
#[table_name = "git_page_source"]
pub struct NewGitPageSource {
    pub page_id: i32,
    pub repo_url: String,
    pub branch: String,
}

#[derive(Queryable)]
pub struct GitPageSource {
    pub id: i32,
    pub page_id: i32,
    pub repo_url: String,
    pub branch: String,
}