// Diesel schema
diesel::table! {
    pages (id) {
        id -> Int4,
        author -> Text,
        name -> Text,
        created_at -> Timestamp,
        updated_at -> Timestamp,
        // - 0: Invalid
        // - 1: Fetching
        // - 2: Validated
        // - 3: Ready
        status -> Integer
    }
}

diesel::table! {
    routing_record (id) {
        id -> Int4,
        page_id -> Int4,
        record_value -> Text,
        created_at -> Timestamp,
        updated_at -> Timestamp,
    }
}

diesel::table! {
    git_page_source (id) {
        id -> Int4,
        page_id -> Int4,
        repo_url -> Text,
        branch -> Text,
        created_at -> Timestamp,
        updated_at -> Timestamp,
    }
}

diesel::joinable!(routing_record -> pages (page_id));

diesel::joinable!(git_page_source -> pages (page_id));

diesel::allow_tables_to_appear_in_same_query!(
    pages,
    routing_record,
    git_page_source,
);